# mtdev 1.1.6 — protocolo multitouch (slots). Dep de build de libinput. Autotools, sin deps.
name    = "mtdev"
version = "1.1.6"

[source]
tarball = "https://bitmath.org/code/mtdev/mtdev-1.1.6.tar.gz"
sha256  = "1325f389a2f25cd5f5a8ea4d29aad24aa7c3ec30401d679400dd79eb9c0a8dbb"

[build]
compiler = "gcc"
target   = "x86_64-linux-musl"
link     = "dynamic"
flags    = []

[build.phases]
# El config.sub de mtdev 1.1.6 es viejo y NO conoce el triple `*-musl` ⇒ lo reemplazamos por el
# moderno del sandbox (autoconf build-aux) antes de configurar.
configure = 'cp /usr/share/autoconf/build-aux/config.sub config-aux/config.sub; cp /usr/share/autoconf/build-aux/config.guess config-aux/config.guess; ./configure --build=$CBUILD --host=$CHOST --prefix=/usr'
compile   = 'make'
install   = 'make DESTDIR=/out install'

[deps]
build = ["pkgconf"]
